/***************************************************************************
                          level.cpp  -  description
                             -------------------
    begin                : Sat Apr 22 2000
    copyright            : (C) 2000 by Michael Speck
    email                : kulkanie@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "level.h"

/* template
    {
        "Michael Speck", "hm...",
        0.2, 0.0000015, 0.30,
        14, 18,
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
        ""
    },
*/

Level orig_levels[LEVEL_NUM] = {
    {
        "Michael Speck", "Wall(00)",
        0.20, 0.0000015, 0.30,
        14, 18,
        "              "
        "              "
        " dddddddddddd "
        " dddddddddddd "
        " eeeeeeeeeeee "
        " ffffffffffff "
        " ffffffffffff "
        " eeeeeeeeeeee "
        " dddddddddddd "
        " dddddddddddd "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        " .s..0.>..m.. "
        " .1...+....0. "
        " <.-.1..-.l.. "
        " ?.0..-.0..w. "
        " ..+..1.<.+.. "
        " .0..b..-..0. "
        " .-.f.+..0... "
        " .0+...b.>.p. "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
    },
    {
        "Michael Speck", "Breakthrough(01)",
        0.2, 0.0000015, 0.30,
        14, 18,
        "              "
        "              "
        "gggggggggggggg"
        "gggggggggggggg"
        "eeeeeeeeeeeeee"
        "eeeeeeeeeeeeee"
        "dddddd  dddddd"
        "ddddd    ddddd"
        "iiii      iiii"
        "iii        iii"
        "ff          ff"
        "f            f"
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        ".0...1...-..m."
        "...b..<f..0..."
        "..-.+.0.+..1.+"
        ".-.1...-.<..-."
        "p...>.  .2..0."
        "..0..    +.?.."
        "1..+      .>+."
        "..b        w.."
        "..          .."
        ".            ."
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
    },
    {
        "Michael Speck", "Level 02",
        0.2, 0.0000015, 0.30,
        14, 18,
        "  heggggggeh  "
        "   heeeeeeh   "
        "    hhhhhh    "
        "hhh        hhh"
        "eeeh      heee"
        "gggeh    heggg"
        "dddgeh  hegddd"
        "dddgeh  hegddd"
        "dddgeh  hegddd"
        "gggeh    heggg"
        "eeeh      heee"
        "hhh        hhh"
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "  1..l...+.0  "
        "   .-...w..   "
        "    f.b..-    "
        ".+.        p.."
        "b...      ...."
        ".<..-    ...0."
        "...1..  ..1..>"
        ".0..>.  +....."
        "...+.f  ..<.b."
        "..1..    ..0.."
        ".?..     .+..."
        "..-        .1."
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
    },
    {
        "Michael Speck", "U.F.O.(03)",
        0.2, 0.0000015, 0.30,
        14, 18,
        "              "
        "              "
        "      bb      "
        "     beeb     "
        "    eeeeee    "
        "   hehhhheh   "
        "  eeeeeeeeee  "
        " cccccccccccc "
        "  eeeeeeeeee  "
        "   hehhhheh   "
        "    eeeeee    "
        "     beeb     "
        "      bb      "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        "      l.      "
        "     ..-.     "
        "    1..0..    "
        "   -..+..>.   "
        "  <.?...1...  "
        " ..b.1.<..+.. "
        "  ..-..w.0..  "
        "   .>...-.?   "
        "    .+.0..    "
        "     0..+     "
        "      b.      "
        "              "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Pyramid(04)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "              "
        "              "
        "     iiii     "
        "     iiii     "
        "    iiddii    "
        "    ddiidd    "
        "   ffiddiff   "
        "   ffffffff   "
        "  bbbbbbbbbb  "
        "  iiiiiiiiii  "
        "  eeeeiieeee  "
        " iiiieeeeiiii "
        " iiiiieeiiiii "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        "     .-.f     "
        "     1.b.     "
        "    .-..1.    "
        "    ....>.    "
        "   1.<.? ..   "
        "   +. .. .+   "
        "              "
        "  m...-...0.  "
        "  ..+...0.-<  "
        " .-.1.0.+..0. "
        " 0.+.>w.1.b.. "
        "              "
        "              "
        "              "
        "              "
        "              ",
    },
    {
        "Michael Speck", "Bubbles(05)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "         ee   "
        "  ee    ehee  "
        " ehee   eeee  "
        " eeee   eeee  "
        " eeee    ee   "
        "  ee          "
        "      ee      "
        "     ehee     "
        "     eeee     "
        " ee  eeee     "
        "ehee  ee   ee "
        "eeee      ehee"
        "eeee      eeee"
        " ee       eeee"
        "           ee "
        "              "
        "              "
        "              ",
        "         ..   "
        "  .1    +.1.  "
        " .+..   .?.-  "
        " >.p.   0.<.  "
        " -...    w.   "
        "  .0          "
        "      f.      "
        "     ...1     "
        "     -.l.     "
        " s.  .+..     "
        "..0.  .>   .- "
        ".-..      b.1."
        "..<b      ..+."
        " +.       .0.."
        "           1. "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Level 06",
        0.2, 0.0000015, 0.30,
        14, 18,
        "iiiiiiiiiiiiii"
        "iiiiiiiiiiiiii"
        "ffffffffffffff"
        "ffff      ffff"
        "dddd      dddd"
        "dddd      dddd"
        "bbbb      bbbb"
        "              "
        "              "
        "    aeeeea    "
        "    aehhea    "
        "    aeeeea    "
        "    ######    "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "....m...b.-..."
        ".1.-.....+...."
        "..b..+..<..1.."
        ".-.>      b..."
        "..?.      ..-."
        "1..+      +.<."
        "####      ####"
        "              "
        "              "
        "    0.+.>0    "
        "    0-.f.0    "
        "    0..1.0    "
        "    ######    "
        "              "
        "              "
        "              "
        "              "
        "              ",
    },
    {
        "Michael Speck", "Mushroom(07)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "              "
        "     aaa      "
        "   aaaaaaa    "
        "  aaaaaaaaa   "
        "  aaaaaaaaa   "
        "  aaaaaaaaa   "
        "  aa iii aa   "
        "     iii      "
        "f    iii      "
        " f  fiiii f f "
        " f f iiii  f  "
        "ffffffiiiiffff"
        "ffffffiiiiffff"
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "     .1.      "
        "   b..-.<.    "
        "  -.....-..   "
        "  +.f..<..b   "
        "  1..l..1..   "
        "  .2 .0. +.   "
        "     ..-      "
        ".    p..      "
        " .  >.+.. . . "
        " . . -.1.  .  "
        ".+..0.+..-..>."
        "...b.1.?..+..."
        "              "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Level 08",
        0.2, 0.0000015, 0.30,
        14, 18,
        "              "
        "              "
        "gggg#    #gggg"
        "geeg#    #geeg"
        "geeg#    #geeg"
        "geeg#    #geeg"
        "geeg#    #geeg"
        "gggg#    #gggg"
        "              "
        "aaaabbbbbbaaaa"
        "aaaabffffbaaaa"
        "    bffffb    "
        "    bbbbbb    "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        "+.2.#    #..b."
        "...-#    #-..."
        "1...#    #..1."
        "..>.#    #...."
        "..+.#    #.0.."
        ".b.-#    #..+."
        "              "
        ".>.w.1...-..<."
        "..0...-.p..b.."
        "    .<.2..    "
        "    .+....    "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
    },
    {
        "Michael Speck", "Chest(09)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "              "
        "              "
        " cccccccccccc "
        " cddddddddddc "
        " cdeeeeeeeedc "
        " cdeffffffedc "
        " cdefggggfedc "
        " cdefggggfedc "
        " cdeffffffedc "
        " cdeeeeeeeedc "
        " cddddddddddc "
        " cccccccccccc "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        " 101010101010 "
        " 0-..<.+...m1 "
        " 1.p......-.0 "
        " 0..+..>.?..1 "
        " 1....-...>.0 "
        " 0.l.....+..1 "
        " 1....+...-.0 "
        " 0.-.....w..1 "
        " 1<..s...+..0 "
        " 000101010101 "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Level 10",
        0.2, 0.0000015, 0.30,
        14, 18,
        "              "
        "              "
        "  d#ffffff#d  "
        "  d#ffffff#d  "
        " dd#ffffff#dd "
        " dd#gggggg#dd "
        "ddd#gggggg#ddd"
        "ddd#gggggg#ddd"
        " dd#gggggg#dd "
        " dd#ffffff#dd "
        "  d#ffffff#d  "
        "  d#ffffff#d  "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        "  < ..1... .  "
        "  . ..b..> .  "
        " -. -...+. .. "
        " .. .0..1. -. "
        "..p ..+... ..b"
        ".+. f...?. .+."
        " .. .>.1.- <. "
        " 1. .-.... m. "
        "  . ...0.. .  "
        "  . .+..b. .  "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Level 11",
        0.2, 0.0000015, 0.30,
        14, 18,
        "              "
        "              "
        "cccc cccc cccc"
        "ceec cddc ceec"
        "ceec cddc ceec"
        "ceec cddc ceec"
        "cccc cccc cccc"
        "              "
        "cccc bbbb cccc"
        "cddc bffb cddc"
        "cddc bffb cddc"
        "cddc bffb cddc"
        "cccc bbbb cccc"
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        ".0.. .+.. .m.."
        ".... ...- .-.."
        "..+. .0.> ...+"
        ".<.. .... .b.."
        "-.1. .p.. 0..."
        "              "
        ".... ..-. .<.."
        "..0. ?..b ..1."
        "l... .1.. ..b."
        ".+.. s... -..."
        "..>. ..+. ...."
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Egg(12)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "              "
        "              "
        "      ee      "
        "    eeeeee    "
        "   ecccccce   "
        "  ecggggggce  "
        "  ecggggggce  "
        " fcggggggggcf "
        " fccccccccccf "
        " ffffffffffff "
        " ffffffffffff "
        "  iiiiiiiiii  "
        "  dddddddddd  "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        "      ..      "
        "    ..0...    "
        "   ..m..<.b   "
        "  ..1.-..2..  "
        "  0...1..-..  "
        " ..+.f..+..-. "
        " .1.-..2..p.. "
        " +..>.+....>. "
        " .b....b.+.-. "
        "  ..?...2.<.  "
        "  -..0..w..+  "
        "              "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Web(13)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "b   b    b   b"
        " b   b  b   b "
        "  b   bb   b  "
        "   b  cc  b   "
        "    cc  cc    "
        "bb  cd  dc  bb"
        "  bcddddddcb  "
        "   cddddddc   "
        "  bcddddddcb  "
        "bb  cddddc  bb"
        "    ccddcc    "
        "   bb cc bb   "
        " bb        bb "
        "b            b"
        "              "
        "              "
        "              "
        "              ",
        ".   .    .   ."
        " .   .  -   . "
        "  2   .f   .  "
        "   .  +.  .   "
        "    1.  .2    "
        "-.  +.  <.  2."
        "  .2.?...+..  "
        "   <..-.1..   "
        "  ..b.+..-..  "
        ".-  .p.l..  >."
        "    +..-..    "
        "   >. 1. +.   "
        " .b        .2 "
        ".            ."
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Level 14",
        0.2, 0.0000015, 0.3,
        14, 18,
        " eeeeeeeeeeee "
        "  eeeeeeeeee  "
        "   gggggggg   "
        "    gggggg    "
        "    iiiiii    "
        "   iiiiiiii   "
        "  hhhhhhhhhh  "
        " hhhhhhhhhhhh "
        "              "
        "ffffffffffffff"
        "#f#f#f#f#f#f#f"
        "dddddddddddddd"
        "dddddddddddddd"
        "              "
        "              "
        "              "
        "              "
        "              ",
        " >.-...+...2. "
        "  ..2.l..-..  "
        "   +.....<.   "
        "    .-.1.+    "
        "    ......    "
        "   b..2....   "
        "  ....p.+.1.  "
        " 1..+.<..-... "
        "              "
        "..-.s....-.2.."
        " ? ? ? ? ? ? ?"
        "....+...b...-."
        "..b...>...+..."
        "              "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Bowl(15)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "              "
        "              "
        " c          c "
        " ciiiiiiiiiic "
        " ciiiiiiiiiic "
        " cddddddddddc "
        " c#ffffffff#c "
        "  #ffffffff#  "
        "  ##dddddd##  "
        "   ##eeee##   "
        "    ##ee##    "
        "     ####     "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        "              "
        "  2.b.<+..1.  "
        "  .+..s..b..  "
        "  ..>.f.w.-.  "
        "   2..+.1-.   "
        "   .-.-..+.   "
        "    .+..2.    "
        "     -.?.     "
        "      ..      "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Hill(16)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "      hh      "
        "     gggg     "
        "    ffffff    "
        "   eeeeeeee   "
        "  dddddddddd  "
        "b############b"
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "              "
        "      .+      "
        "     b-.1     "
        "    b2<.-.    "
        "   +..2m.>+   "
        "  .2.-b.1..b  "
        "4############4"
        "              "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Symmetry(17)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "  i h g f e d "
        " i h g f e d b"
        "i h g f e d b "
        " h g f e d b  "
        "h g f e d b   "
        " g f e d b  i "
        "g f e d b  d i"
        " f e d b  g d "
        "f e d b  f g d"
        " e # b  c # g "
        "e # b    c # g"
        " # b      c # "
        "# b        c #"
        " b          c "
        "b            c"
        "              "
        "              "
        "              ",
        "  . l . . s . "
        " 2 . . 2 . < ."
        ". . - . + . ? "
        " - . . f s .  "
        "w . b . . -   "
        " . . - . 2  . "
        ". + > . +  b ."
        " 2 . f .  . . "
        ". - . .  . - ."
        " .   b  +   > "
        ".   1    +   ."
        "   <      .   "
        "  .        1  "
        " 2          . "
        ".            ."
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Rainbow(18)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "              "
        "              "
        "         ddddd"
        "     ddddaaaaa"
        "  dddaaaaccccc"
        "ddaaaccccfffff"
        "aacccffffggggg"
        "ccfffggggeeeee"
        "ffgggeeee  c  "
        "ggeee    c    "
        "ee  c  c   c  "
        "  c  c      c "
        " c     c c    "
        "    c       c "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        "         ..-.."
        "     .<......."
        "  .-....+..<.."
        ".w....f..-.+.."
        "..>.-..b....>."
        ".-...+...+...."
        "..?.m....  2  "
        ".+..b    2    "
        "..  2  4   2  "
        "  2  2      2 "
        " 2     2 2    "
        "    2       2 "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "House(19)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "              "
        "    dddddd    "
        "   dddddddd   "
        "  dddddddddd  "
        " dddddddddddd "
        " iii#    #iii "
        " iii#    #iii "
        " iii#ieie#iii "
        " iii#eiei#iii "
        " iii#ieie#iii "
        " iii#eiei#iii "
        " iii#ieie#iii "
        " iii#eiei#iii "
        " ffffffffffff "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "    .2.+..    "
        "   ..f...>.   "
        "  ..1.<..-?.  "
        " .+...-..2..m "
        " ############ "
        " ..-#    #..+ "
        " ...#.-..#..2 "
        " .-.#..>.#-.. "
        " s.2#.l..#..b "
        " ...#..2.#w.. "
        " b..#+..f#.+. "
        " ..+#....#... "
        " .<.#.?..#2.. "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "'Fat Boy'(20)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "              "
        "    cccccc    "
        "  cccccccccc  "
        " cccciiiicccc "
        " cciiiiiiiicc "
        " cciiiiiiiicc "
        " cccciiiicccc "
        "  ccciiiiccc  "
        "    cciicc    "
        "     ciic     "
        "     ciic     "
        "     ciic     "
        "   cciiiicc   "
        " cciiiiiiiicc "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "    ...s..    "
        "  .3.+..-...  "
        " ...p.2...>.. "
        " ?.-.2..<.-.. "
        " ..<...+...+. "
        " .-..f...-... "
        "  .+......2.  "
        "    .2..+.    "
        "     .>..     "
        "     ...p     "
        "     -...     "
        "   .2..w.+.   "
        " ..+..-..2... "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Twins(21)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "      ##      "
        "      ##      "
        "      ##      "
        "eeeeee##eeeeee"
        "dddddd##dddddd"
        "iiiiii##iiiiii"
        "iiiiii##iiiiii"
        "hhhhhh##hhhhhh"
        "gggggg##gggggg"
        "ffffff##ffffff"
        "eeeeee##eeeeee"
        "dddddd##dddddd"
        "              "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "      ##      "
        "      ##      "
        "      ##      "
        "..-...##.<.l.."
        "...2..##.f...2"
        "3.p...##..2.-."
        "......##.m..>."
        "+.2.f.##....f."
        "f...<.##2....."
        ".>.f..##..+..."
        "..b.2.##....3."
        ".3....##.2.f.."
        "      ##      "
        "              "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Crusher(22)",
        0.2, 0.0000015, 0.30,
        14, 18,
        "              "
        "ffffffffffffff"
        "ffffffffffffff"
        "eeeeeeffeeeeee"
        "ccccceffeccccc"
        "    ceffec    "
        "### ceffec ###"
        "ddd ceffec ddd"
        "ddd ceffec ddd"
        "ddd ceffec ddd"
        "ddd ceffec ddd"
        "### ceeeec ###"
        "    cccccc    "
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        ".-...<..2...+."
        "....+.....p..."
        ".f.2....-..2.."
        "..w..3..b.>+.."
        "    ..2...    "
        "### .-..3. ###"
        "... ...?.. ..."
        ".+. .+..2. <.."
        "... ..f.-. -.."
        "b.. >.3... ..?"
        "### ...-.. ###"
        "    .b....    "
        "              "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Dead End(23)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "              "
        "              "
        "iiiiiiiiiiiiii"
        "dddddddddddddd"
        "ddd########ddd"
        "   #gggggg#   "
        "ggg#gggggg#ggg"
        "iii#ffffff#iii"
        "iii#ffffff#iii"
        "   #      #   "
        "ddd#ee  ee#ddd"
        "hhh#dddddd#hhh"
        "hhh#dddddd#hhh"
        "              "
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        ".+..b..-...+.."
        "..2..+.>.-..1."
        ".-.        ..-"
        "    f..-..    "
        "..< ...... +.."
        "-.. ..+.>. ..."
        ".2. .2.... .2."
        "              "
        "..- ..  <. .+."
        "... ..b... 3.."
        ".+. .2.f.. +.."
        "              "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Level 24",
        0.2, 0.0000015, 0.30,
        14, 18,
        "    ee ff dd f"
        "   ee ff dd ff"
        "  ee ff dd ff "
        " ee ff dd ff e"
        "ee ff dd ff ee"
        "e ff dd ff ee "
        " ff dd ff ee i"
        "ff dd ff ee ii"
        "f dd ff ee ii "
        " dd ff ee ii  "
        "dd ff ee ii   "
        "b b b b b b b "
        " b b b b b b b"
        "b b b b b b b "
        "              "
        "              "
        "              "
        "              ",
        "    .. ?. .. ."
        "   .. .. 3. .."
        "  2. -. .+ .. "
        " .. ?. b. .- ."
        ".p .. -. .2 .."
        ". .+ .. .. .f "
        " -. .. .b +. ."
        ".. b. +. .. .s"
        ". .. l. .2 .. "
        " +. 2. .. -.  "
        ".. .. f. .w   "
        "2 . . . . . . "
        " . > . . > . ."
        ". . . . . . . "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Level 25",
        0.2, 0.0000015, 0.3,
        14, 18,
        "              "
        "              "
        "aaaaa    aaaaa"
        "eeeeaddddaeeee"
        "ggggaddddagggg"
        "eeeeabbbbaeeee"
        "eeeea    aeeee"
        "              "
        "              "
        "ffff#    #ffff"
        "iiii#eeee#iiii"
        "iiii#eeee#iiii"
        "ffff#aaaa#ffff"
        "#####    #####"
        "              "
        "              "
        "              "
        "              ",
        "              "
        "              "
        "2.s.#    #.-.."
        "....#.?.b#..2."
        ".+..#....#.m.."
        "-.>.#.+..#..<."
        "2.b.#    #..+."
        "              "
        "              "
        ".?..#    #b.<-"
        "2.+.#.l..#.2.."
        "-.>.#...+#..-."
        "..3.#.f..#.1.."
        "#####    #####"
        "              "
        "              "
        "              "
        "              ",
    },
    {
        "Michael Speck", "Barriere(26)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "     #  #     "
        " ddd #ff# eee "
        " ded #ff# ede "
        " ddd      eee "
        "              "
        "####      ####"
        "              "
        " bbbbb  bbbbb "
        " bhhhb  bfffb "
        " biiib  bhhhb "
        " bhhhb  bfffb "
        " bbbbb  bbbbb "
        "              "
        "###aaaaaaaa###"
        "              "
        "              "
        "              "
        "              ",
        "     #  #     "
        " ... #.?# ... "
        " .5. #+.# .5. "
        " ..-      <.. "
        "              "
        "####      ####"
        "              "
        " .+.2.  .+.>. "
        " >..-.  ....+ "
        " .-..+  p...2 "
        " 2.-..  ..1.. "
        " ..w..  .-.+. "
        "              "
        "###.f.f..f.###"
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Butterfly(27)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "     i  i     "
        " cc   ii   cc "
        " cfcc ii ccfc "
        " cfffc##cfffc "
        " cfeef##feefc "
        " cfeef##feefc "
        "  cfef##fefc  "
        "  cfef##fefc  "
        "  cfef##fefc  "
        " cfeef##feefc "
        " cfeef##feefc "
        " cfffc##cfffc "
        " cfcc ## ccfc "
        " cc        cc "
        "              "
        "              "
        "              "
        "              ",
        "     .  .     "
        " 2.   -.   .. "
        " .<.. .f ..1. "
        " ..+..  ..-.. "
        " ...2.  .2..> "
        " +..-.  ..+.. "
        "  .l..  2...  "
        "  s..3  ...-  "
        "  .+..  .-..  "
        " .2...  ..w.. "
        " ...?.  2...+ "
        " -.>..  ...<. "
        " 1.+.    b... "
        " ..        .. "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "Chamber(28)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "  #        #  "
        "  #ffffffff#  "
        "  #dddddddd#  "
        "ee#eeeeeeee#ee"
        "ee#eeeeeeee#ee"
        "  #dddddddd#  "
        "  #        #  "
        "a ###cccc### a"
        "aa          aa"
        " aa gggggg aa "
        "  aaffffffaa  "
        "   affffffa   "
        "    gggggg    "
        " ####    #### "
        "              "
        "              "
        "              "
        "              ",
        "  #        #  "
        "  #f..3....#  "
        "  #.-..>.3.#  "
        ".-#..3..?..#.."
        "<.#...f...>#.+"
        "  #.>..-.f.#  "
        "  #        #  "
        ". ###....### ."
        "+.          +."
        " 2. 1.s..- 2. "
        "  .+..<1.-f.  "
        "   ..f.+..1   "
        "    .2..b.    "
        " ####    #### "
        "              "
        "              "
        "              "
        "              "
    },
    {
        "Michael Speck", "The Final(29)",
        0.2, 0.0000015, 0.3,
        14, 18,
        "              "
        "iiiiiiiiiiiiii"
        "cciiiiiiiiiicc"
        "gccffffffffccg"
        "ggccffffffccgg"
        "gggccccccccggg"
        "ggggb    bgggg"
        "    b    b    "
        "ddddb    bdddd"
        "ddddbeeeebdddd"
        "hhhaaeeeeaahhh"
        "hhaaeeeeeeaahh"
        "haa        aah"
        "##    ##    ##"
        "              "
        "              "
        "              "
        "              ",
        "              "
        "..w.2....?...."
        "2....+.2..b.-."
        "..-..<...l...b"
        ".b..p.f....2.."
        "..+..-..>.+..."
        "2.>.-    ...s."
        "    .    -    "
        "...2.    ..?.."
        ".?...b...+...2"
        "..-..+.2...-.."
        ".+..2.>.f.>.3."
        "..b        +.."
        "##    ##    ##"
        "              "
        "              "
        "              "
        "              "
    },
};
